package com.leanwo.activiti.dto.base;

import java.util.List;

/**
 * BPMN 创建响应.
 *
 * @author YangZhiJie
 */
public class BpmnCreateResponse {

	/**  工作流部署Id. */
	private String deploymentId;

	/**  用户自选节点. */
	private List<UserSelectDefine> userSelectDefineList;

	/**  上一个审批人选择审批人节点. */
	private List<UserSelectDefine> previousAssigneeSelectDefineList;
	/**
	 * Gets the 工作流部署Id.
	 *
	 * @return the 工作流部署Id
	 */
	public String getDeploymentId() {
		return deploymentId;
	}

	/**
	 * Sets the 工作流部署Id.
	 *
	 * @param deploymentId the new 工作流部署Id
	 */
	public void setDeploymentId(String deploymentId) {
		this.deploymentId = deploymentId;
	}

	/**
	 * Gets the 用户自选节点.
	 *
	 * @return the 用户自选节点
	 */
	public List<UserSelectDefine> getUserSelectDefineList() {
		return userSelectDefineList;
	}

	/**
	 * Sets the 用户自选节点.
	 *
	 * @param userSelectDefineList the new 用户自选节点
	 */
	public void setUserSelectDefineList(List<UserSelectDefine> userSelectDefineList) {
		this.userSelectDefineList = userSelectDefineList;
	}
	

	/**
	 * Gets the 上一个审批人选择审批人节点.
	 *
	 * @return the 上一个审批人选择审批人节点
	 */
	public List<UserSelectDefine> getPreviousAssigneeSelectDefineList() {
		return previousAssigneeSelectDefineList;
	}

	/**
	 * Sets the 上一个审批人选择审批人节点.
	 *
	 * @param previousAssigneeSelectDefineList the new 上一个审批人选择审批人节点
	 */
	public void setPreviousAssigneeSelectDefineList(List<UserSelectDefine> previousAssigneeSelectDefineList) {
		this.previousAssigneeSelectDefineList = previousAssigneeSelectDefineList;
	}
}
